48.0 - Oct 25, 2025
===================

Usage 48.0 contains a few small bug fixes compared to 48.rc. For further
changes, including documentation of new build time and runtime dependencies, see
the changelog for 48.rc – notably for the new network view.

Since 48.rc, these changes to the app landed:
* present existing window on activation (!166, Balló György)

Compared to 48.rc, these transations saw updates:
* Belarusian (Vasil Pupkin)
* Brazilian Portuguese (Rafael Fontenelle)
* Catalan (Jordi Mas i Hernandez)
* Hebrew (Yaron Shahrabani)
* Persian (Danial Behzadi)
* Russian (Sergej A.)
* Spanish (Sergio Gil)
* Swedish (Anders Jonsson)

48.rc - Mar 5, 2025
===================

To interest of packagers and other downstream might be:
* performance: change default minimum load to 0 (!136, Markus Göllnitz)
* update for libadwaita 1.6 (!157, Markus Göllnitz)
* network panel with data usage per interface (!113, Markus Göllnitz)
* storage: move to tinysparql (!160, Markus Göllnitz)

Usage 48 requires libadwaita >= 1.6, and tracker-sparql has been replaced
with tinysparql. Usage has a new dependency on libnm from NetworkManager.

At runtime, Usage can optionally make use of vnstat's JSON interface for a
new network view.

The app-minimum-load key expects values between 0.0 and 1.0. Previously, it
was 0.0 to 100.0.

Usage has seen a number of other improvements:
* window: drop strict centering-policy from titlebar (!150, knuxify)
* storage-view: remove check buttons from available and used rows (!151, José Guilherme)
* Set icon for the window (!155, Balló György)
* window: use Adwaita's listview padding (!156, Markus Göllnitz)
* process: use MappedFile (!148, Markus Göllnitz)
* prioritise desktop entries without NoDisplay when matching processes to apps (!140, Markus Göllnitz)
* optimise performance views (!136, Markus Göllnitz)
* storage: Skip XDG folder if missing (!158, Balló György)
* app-item: fix use after free in process update (!160, Markus Göllnitz)

There have been many translation updates:
* Basque (Asier Sarasua Garmendia)
* Belarusian (Vasil Pupkin)
* Brazilian Portuguese (Rafael Fontenelle)
* Chinese (China) (Luming Zh)
* Czech (Daniel Rusek)
* Danish (Alan Mortensen)
* German (Jürgen Benvenuti)
* Hebrew (Yaron Shahrabani)
* Hebrew (Yosef Or Boczko)
* Hindi (Scrambled 777)
* Hungarian (Balázs Úr)
* Persian (Danial Behzadi)
* Polish (Piotr Drąg)
* Portuguese (Hugo Carvalho)
* Romanian (Daniel Șerbănescu)
* Russian (Sergej A.)
* Serbian (Мирослав Николић)
* Slovenian (Martin)
* Spanish (Sergio Gil)
* Swedish (Anders Jonsson)
* Turkish (Emin Tufan Çetin)
* Turkish (Sabri Ünal)
* Ukrainian (Yuri Chornoivan)

46.1 - Mar 4, 2025
==================

Usage has bug fixes, amongst them for
* a use after free bug when a process exits during update
* finding the preferred desktop entry when an app install mutliple
* having bogus check boxes on system rows in the storage view

46.0 - Mar 20, 2024
===================

Usage now
* uses ListViews in its performance tabs (!120),
* split the two performance views (!131)
* and renovated the storage view's look (!131),
* displays indicators for applications running in background (!135),
* has an application dialogue instead of directly asking users to terminate a process (!142),
* classifies Android applications inside Waydroid and has an indicator for that (!145). and
* uses Adwaita's new adaptive dialogues instead of modal windows (!137).

Usage now depends on libadwaita >=1.5 (previously >=1.4), and GIO >=2.74
(previously >=2.44).

Usage gained new translations for
* Persian (Danial Behzadi)

and has seen updates in
* Czech (Daniel Rusek)
* Chinese (China) (Luming Zh)
* Ukrainian (Yuri Chornoivan)
* Turkish (Sabri Ünal)
* Basque (Asier Sarasua Garmendia)
* Georgian (Ekaterine Papava)
* Russian (Sergej A.)
* Danish (Alan Mortensen)
* Swedish (Anders Jonsson)
* Indonesian (Kukuh Syafaat)
* Romanian (Florentina Mușat)
* Brazilian Portuguese (Juliano de Souza Camargo)
* Galician (Fran Dieguez)
* Hebrew (Yosef Or Boczko)
* German (Christian Kirbach)
* Chinese (Taiwan) (Cheng-Chia Tseng)
* Hungarian (Balázs Úr)
* Spanish (Daniel Mustieles)
* Finnish (Jiri Grönroos)
* British English (Andi Chandler)

45.1 - Mar 19, 2024
===================

With the included patches Usage
* builds with GCC 14 and Clang 16, together with Vala 0.56.15,
* avoids glitches in graphs on systems with no swap, due to a previous division by zero,
* has better keyboard navigation with a different selection mode for boxes in the storage view, and
* correctly classifies applications with a long path in its cmdline.

45.0 - Sep 17, 2023
===================

With removing GNOME from the app's name (!108) it is now hopefully clearer
that Usage is not affiliated with GNOME and not part of its Core Apps.

But the branding is not even close to the only thing changed in the last
three years, amongst the more user facing are
* porting to GTK4 and the new Adwaita widgets with a completely rewritten graph view (!110, !112, !100, !102, !116, !103, !121),
* normalising the load, so that 100 % now means all threads are in use (!123),
* reducing the re-rendering by making the graphs not scroll continuously – at least by default (!119), and
* making sure, Usage doesn't think we had no swap just because 0 % is left (!94, by vfjpl).

Usage now does no longer depend on libhandy and GTK+3, and instead gained
libadwaita >=1.4, GTK 4 >=4.12, and libgee as dependencies.

And there are Thanks due for
* adding pipewire-pulseaudio to default unkillable processes (!87, by Björn Daase),
* making formatting of byte dimensioned sizesbetter (!89, by Nishal Kulkarni),
* fixing control group based application classification for apps with dashes in their ID (!104),

and for
* providing source files for the app icons (!86, by Jakub Steiner),
* dropping building libhandy for Flatpak, as it was already part of the runtime (!93, Jordan Petridis), and
* looking into the coding style, and making it more consistent (!91, by Nahuel Gomez),

as well to Adrien Plazas for his prior involvment as amaintainer, and for
quiet a few clean-ups changes not included above.

Usage gained new translations for
 * Belarusian (Vasil Pupkin)
 * Georgian (Zurab Kargareteli, Ekaterine Papava)
 * Hebrew (Yosef Or Boczko)
 * Korean (Seong-ho Cho)
 * Occitan (Quentin PAGÈS)
 * Portuguese (Juliano de Souza Camargo, Hugo Carvalho)

has seen updates in
 * Basque (Asier Sarasua Garmendia)
 * Brazilian Portuguese (Rafael Fontenelle)
 * Catalan (Jordi Mas)
 * Chinese (China) (Boyuan Yang, Luming Zh)
 * Croatian (Goran Vidović)
 * Czech (Marek Černocký)
 * Danish (Alan Mortensen)
 * Dutch (Nathan Follens)
 * Friulian (Fabio Tomat)
 * Galician (Fran Dieguez)
 * German (Christian Kirbach, Philipp Kiemle, Jürgen Benvenuti)
 * Hungarian (Balázs Úr)
 * Indonesian (Kukuh Syafaat)
 * Japanese (sicklylife)
 * Polish (Piotr Drąg)
 * Russian (Sergej A)
 * Serbian (Мирослав Николић)
 * Slovenian (Matej Urbančič)
 * Swedish (Luna Jernberg, Daniel Mustieles, Anders Jonsson)
 * Turkish (Sabri Ünal)
 * Ukrainian (Yuri Chornoivan)

3.38.1 - Mar 19, 2021
=====================

  - Flag GtkBuilder children as unowned.
  - Prevent reading beyond GTop's args.
  - Prevent navigation to the storage separator.
  - Prevent a double border in the performance sidebar.
  - List compatible form-factors.
  - Added/updated/fixed translations:
    - Catalan
    - Czech
    - Friulian
    - German
    - Hebrew
    - Portuguese

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Christian Kirbach <Christian.Kirbach@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Jordi Mas <jmas@softcatala.org>
Juliano de Souza Camargo <julianosc@protonmail.com>
Marek Černocký <marek@manet.cz>
Rasmus Thomsen <oss@cogitri.dev>
Rico Tzschichholz <ricotz@ubuntu.com>
Yosef Or Boczko <yoseforb@gnome.org>

3.38.0 - Sep 12, 2020
=====================

  - Port to Tracker 3.
  - Added/updated/fixed translations:
    - Japanese

Dependencies changed:

 - libhandy-1 1.0.0 (bumped)
 - tracker-sparql-2.0 (dropped)
 - tracker-sparql-3.0 (added)

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Ryo Nakano <ryonakaknock3@gmail.com>
Sam Thursfield <sam@afuera.me.uk>
sicklylife <translation@sicklylife.jp>

3.37.1 - Aug 04, 2020
=====================

  - Try getting the application ID from the desktop entry
  - Add application lookup based on cgroup information
  - Make the window fold itself when narrow to fit mobile phones
  - Use an adaptive view switcher instead of a stack switcher
  - Give icons to the pages to display in the view switcher
  - Allow building a regular or a nightly .Devel Flatpak
  - Build and publish nightlies in the CI
  - Use the tracker-2.3 branch for Tracker in the Flatpak manifest
  - Avoid explicitly setting cflags in the Flatpak manifest
  - Added/updated/fixed translations:
    - Basque
    - British English
    - Catalan
    - Chinese (China)
    - Chinese (Taiwan)
    - Dutch
    - Finnish
    - French
    - Greek
    - Italian
    - Romanian
    - Serbian
    - Slovak
    - Slovenian
    - Swedish
    - Turkish
    - Ukrainian

Dependencies changed:

 - libhandy 0.83.0 (added)
 - meson 0.50.0 (bumped)

All contributors to this release:

Adrien Plazas <kekun.plazas@laposte.net>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Benjamin Berg <bberg@redhat.com>
Bilal Elmoussaoui <bil.elmoussaoui@gmail.com>
Dušan Kazik <prescott66@gmail.com>
Dz Chen <wsxy162@gmail.com>
Efstathios Iosifidis <eiosifidis@gnome.org>
Felipe Borges <felipeborges@gnome.org>
Florentina Mușat <florentina.musat.28@gmail.com>
Gianvito Cavasoli <gianvito@gmx.it>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordan Petridis <jpetridis@gnome.org>
Jordi Mas <jmas@softcatala.org>
Matej Urbančič <mateju@svn.gnome.org>
Maxime Hardy <maxime.bonneau.hardy@gmail.com>
Nathan Follens <nfollens@gnome.org>
Piotr Drąg <piotrdrag@gmail.com>
Sabri Ünal <libreajans@gmail.com>
Yi-Jyun Pan <pan93412@gmail.com>
Yuri Chornoivan <yurchor@ukr.net>
Zander Brown <zbrown@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>

3.33.2 - Jul 30, 2019
=====================

  - Add support for GameMode
  - Support for correctly identfying Flatpaks (specifically Steam)
  - Add an EditorConfig file
  - Introduce the new Storage panel
  - Added/updated/fixed translations:
    - Russian
    - Croatian
    - Hungarian
    - Brazilian Portuguese
    - Indonesian
    - Spanish
    - Catalan
    - Polish

All contributors to this release:

Balázs Meskó <meskobalazs@fedoraproject.org>
Daniel Mustieles <daniel.mustieles@gmail.com>
Christian Kellner <christian@kellner.me>
Felipe Borges <felipeborges@gnome.org>
Goran Vidović <trebelnik2@gmail.com>
Igor Polyakov <igorpolyakov@protonmail.com>
Jordi Mas <jmas@softcatala.org>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Petr Štětka <pstetka@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Veerasamy Sevagen <sevagenv@gmail.com>

3.32.0 - Mar 20, 2019
=====================

  - Retire application menu
  - Simplify the build scripts
  - Drop RG and EGG libraries
  - Use libdazzle
  - Add filter processes option
  - Support grouping system processes
  - Add new application icon
  - Added/updated/fixed translations:
    - Polish
    - Brazilian Portuguese
    - Czech
    - Swedish
    - Finnish
    - Spanish
    - Hungarian
    - Galician
    - Turkish
    - Danish
    - Dutch
    - Indonesian
    - Italian
    - Friulian
    - Serbian
    - Basque
    - French

All contributors to this release:

Abderrahim Kitouni <akitouni@gnome.org>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Asier Sarasua Garmendia <asier.sarasua@gmail.com>
Ask Hjorth Larsen <asklarsen@gmail.com>
Balázs Úr <balazs@urbalazs.hu>
Charles Monzat <charles.monzat@free.fr>
Christopher Davis <brainblasted@disroot.org>
Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Emin Tufan Çetin <etcetin@gmail.com>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
Gianvito Cavasoli <gianvito@gmx.it>
Jiri Grönroos <jiri.gronroos@iki.fi>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Марко Костић <marko.m.kostic@gmail.com>
Marek Cernocky <marek_cernocky@conel.cz>
Petr Štětka <pstetka@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Rico Tzschichholz <ricotz@ubuntu.com>
yodatak <mryodatak@gmail.com>

3.30.0 - Sep 25, 2018
=====================

  - Support better Adwaita dark
  - Fix error message grammar/typos
  - Fix compatibility with newer Vala
  - Use proper POSIX API in quit-process-dialog
  - Fix CI
  - Add scrolling animation to performance view
  - Update screenshots
  - Added/updated/fixed translations:
    - Slovak
    - Hungarian
    - Croatian
    - Indonesian
    - Turkish
    - German
    - Swedish
    - Spanish
    - Chinese (Taiwan)
    - British English
    - Polish
    - Brazilian Portuguese
    - Czech

All contributors to this release:

Aditya <manglik.aditya@gmail.com>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Balázs Úr <balazs@urbalazs.hu>
Bruce Cowan <bruce@bcowan.eu>
Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Dušan Kazik <prescott66@gmail.com>
Emin Tufan Çetin <etcetin@gmail.com>
Felipe Borges <felipeborges@gnome.org>
gogo <trebelnik2@gmail.com>
Kukuh Syafaat <kukuhsyafaat@gnome.org>
Marek Černocký <marek@manet.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Petr Štětka <pstetka@redhat.com>
Piotr Drąg <piotrdrag@gmail.com>
Rafael Fontenelle <rafaelff@gnome.org>
Rasmus Thomsen <cogitri@exherbo.org>
Yi-Jyun Pan <pan93412@gmail.com>

3.28.0 - Mar 12, 2018
=====================

  - Consume AccountsService data over DBus
  - Added/updated/fixed translations:
    - Hungarian
    - Swedish
    - French
    - Friulian
    - Italian

Dependencies changed:

 - accountsservice (dropped)

All contributors to this release:

Alexandre Franke <afranke@gnome.org>
Anders Jonsson <anders.jonsson@norsjovallen.se>
Balázs Úr <balazs@urbalazs.hu>
Fabio Tomat <f.t.public@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Gianvito Cavasoli <gianvito@gmx.it>
Julien Hardelin <jhardlin@orange.fr>

3.27.92 - Mar 04, 2018
======================

  - Add categories to desktop file
  - Fix flatpak manifest file URLs
  - Added/updated/fixed translations:
    - Polish
    - Galician
    - Indonesian
    - Serbian
    - Serbian Latin
    - Croatian
    - Brazilian Portuguese
    - Czech
    - Spanish
    - German
    - Catalan
    - Dutch
    - Finish

All contributors to this release:

Andika Triwidada <atriwidada@gnome.org>
Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
Enrico Nicoletto <liverig@gmail.com>
Felipe Borges <felipeborges@gnome.org>
Fran Dieguez <frandieguez@gnome.org>
gogo <trebelnik2@gmail.com>
Jeremy Bicha <jbicha@ubuntu.com>
Jiri Grönroos <jiri.gronroos@iki.fi>
Jordi Mas <jmas@softcatala.org>
Милош Поповић <gpopac@gmail.com>
Марко Костић <marko.m.kostic@gmail.com>
Marek Cernocky <marek_cernocky@conel.cz>
Mario Blättermann <mario.blaettermann@gmail.com>
Piotr Drąg <piotrdrag@gmail.com>

3.27.90 - Feb 08, 2018
======================

This is the first public GNOME Usage release which
follows the GNOME release schedule.
